Rapid7 Vulnerability & Exploit Database

Red Hat OpenShift: CVE-2019-3826: prometheus: Stored DOM cross-site scripting (XSS) attack via crafted URL

Back to Search

Red Hat OpenShift: CVE-2019-3826: prometheus: Stored DOM cross-site scripting (XSS) attack via crafted URL

Severity
4
CVSS
(AV:N/AC:M/Au:N/C:N/I:P/A:N)
Published
03/15/2019
Created
03/19/2019
Added
03/15/2019
Modified
11/10/2021

Description

A stored, DOM based, cross-site scripting (XSS) flaw was found in Prometheus before version 2.7.1. An attacker could exploit this by convincing an authenticated user to visit a crafted URL on a Prometheus server, allowing for the execution and persistent storage of arbitrary scripts.

Solution(s)

  • linuxrpm-upgrade-atomic-enterprise-service-catalog
  • linuxrpm-upgrade-atomic-openshift
  • linuxrpm-upgrade-atomic-openshift-cluster-autoscaler
  • linuxrpm-upgrade-atomic-openshift-descheduler
  • linuxrpm-upgrade-atomic-openshift-dockerregistry
  • linuxrpm-upgrade-atomic-openshift-metrics-server
  • linuxrpm-upgrade-atomic-openshift-node-problem-detector
  • linuxrpm-upgrade-atomic-openshift-service-idler
  • linuxrpm-upgrade-atomic-openshift-web-console
  • linuxrpm-upgrade-golang-github-openshift-oauth-proxy
  • linuxrpm-upgrade-golang-github-prometheus-alertmanager
  • linuxrpm-upgrade-golang-github-prometheus-node_exporter
  • linuxrpm-upgrade-golang-github-prometheus-prometheus
  • linuxrpm-upgrade-haproxy
  • linuxrpm-upgrade-jenkins
  • linuxrpm-upgrade-jenkins-2-plugins
  • linuxrpm-upgrade-openshift-ansible
  • linuxrpm-upgrade-openshift-enterprise-autoheal
  • linuxrpm-upgrade-openshift-enterprise-cluster-capacity

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;